## NAME

d.path - Finds shortest path for selected starting and ending node.

## KEYWORDS

display, networking

## SYNOPSIS

d.path
d.path help
d.path [-gb] map=name [type=string[,string,...]] [coor=x1,y1,x2,y2] [alayer=integer] [nlayer=integer] [afcol=string] [abcol=string] [ncol=string] [color=string] [hcolor=string] [bgcolor=string] [--verbose] [--quiet]

### Flags:

-g
  Use geodesic calculation for longitude-latitude locations
-b
  Render bold lines
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

map=name
  Name of input vector map
type=string[,string,...]
  Arc type
  Options: line,boundary
  Default: line,boundary
coor=x1,y1,x2,y2
  Starting and ending coordinates
alayer=integer
  Layer number
  Arc layer
  Default: 1
nlayer=integer
  Layer number
  Node layer
  Default: 2
afcol=string
  Arc forward/both direction(s) cost column
abcol=string
  Arc backward direction cost column
ncol=string
  Node cost column
color=string
  Original line color
  Default: black
hcolor=string
  Highlight color
  Default: red
bgcolor=string
  Background color
  Default: white

## DESCRIPTION

d.path enables shortest path vector networking. Costs may be either line lengths, or attributes saved in a database table. Supported are cost assignments for both arcs and nodes, and also different in both directions of a vector line. For areas cost will be calculated along boundary lines.

## NOTE

The user needs to display a vector map before using d.path. The 'from' and 'to' points are entered by mouse into the map displayed in the GRASS monitor, or if the coor option is used they can be specified non-interactively. The actions bound to the mouse buttons are described in the terminal window when running the command.

To calculate shortest path non-interactively and save the path to a new vector map, use the v.net.path module.

## EXAMPLE

Interactive shortest path routing on road network (Spearfish region):

    g.region vector=roads
    d.mon x0
    d.vect roads
    d.path roads

Non-interactive shortest path routing on road network (Spearfish region):

    d.path -b roads coor=601653.5,4922869.2,593330.8,4924096.6

## SEE ALSO

v.net.path

## AUTHOR

Radim Blazek, ITC-Irst, Trento, Italy

Last changed: $Date: 2011-11-08 10:42:51 +0100 (út, 08 XI 2011) $

Main index - display index - Full index

© 2003-2014 GRASS Development Team